Page 1 of 1

WordPress plugin problem

Posted: Tue May 28, 2019 2:16 pm
by zoka
I have a WordPress site running under my Sonic account. I installed the Wordfence plugin for added security, but I can't get it to register with its scanning servers. It gives this error message:

"Wordfence could not register with the Wordfence scanning servers when it activated. You can try to fix this by deactivating Wordfence and then activating it again, so Wordfence will retry registering for you. If you keep seeing this error, it usually means your WordPress server can't connect to our scanning servers, or your wfConfig database table cannot be created to save the key. You can try asking your host to allow your server to connect to noc1.wordfence.com or check the wfConfig database table and database privileges."

Can someone check to see if it can connect to noc1.wordfence.com?

Thanks,
MZ

Re: WordPress plugin problem

Posted: Tue May 28, 2019 5:05 pm
by zoka
This issue was resolved by upgrading to PHP 5.6. Case closed.

Re: WordPress plugin problem

Posted: Wed May 29, 2019 12:01 pm
by dct
Thanks for including the solution for other users!

Re: WordPress plugin problem

Posted: Wed May 29, 2019 2:14 pm
by zoka
A bit more info on this:

After the fact, I researched the Wordfence system requirements and found this on the developers' site:

For Wordfence to function properly, it needs to be able to connect to Wordfence cloud servers. These servers support modern SSL/TLS technology, which means TLS 1.1 or higher.


If you find that your SSL version is more than 5 years old, you should contact your web host and have them upgrade it to a more recent version. The SSL version is often upgraded automatically when you upgrade cURL or PHP.


https://www.wordfence.com/help/advanced/system-requirements/